Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2c.util
Class B2CPortalConstants

    java.lang.Object
      |
      +--examples.e2e.b2c.util.B2CPortalConstants

public class B2CPortalConstants
extends java.lang.Object

This class contains constants used throughout the b2cPortal application.

Field Summary
`static java.lang.String` | `BAGS_CATEGORY_DESC` The bags and cases category name
`static java.lang.String` | `BAGS_CATEGORY_ID` The bags and cases category id
`static java.lang.String` | `BAGS_CATEGORY_NAME` The bags and cases category name
`static java.lang.String` | `CONSUMER_CATEGORY_DESC` The consumer cameras category name
`static java.lang.String` | `CONSUMER_CATEGORY_ID` The consumer cameras category id
`static java.lang.String` | `CONSUMER_CATEGORY_NAME` The consumer cameras category name
`static java.lang.String` | `DOC_PORTLET_LOCATION` The attribute used to store checkout events for the Doc Portlet
`static java.lang.String` | `DOC_PORTLET_MAX_LOCATION` Copy of DOC_PORTLET_LOCATION for maximized view
`static java.lang.String` | `FLASH_CATEGORY_DESC` The flashes and lenses category name
`static java.lang.String` | `FLASH_CATEGORY_ID` The flashes and lenses category id
`static java.lang.String` | `FLASH_CATEGORY_NAME` The flashes and lenses category name
`static java.lang.String` | `INVENTORY_CHECK` Inventory check used by the checkout portlet, step1
`static java.lang.String` | `LAST_CATALOG_EVENT_ATTRIB` The last catalog webflow event the client generated
`static java.lang.String` | `MEMORY_CATEGORY_DESC` The memory, cables, and printers category name
`static java.lang.String` | `MEMORY_CATEGORY_ID` The memory, cables, and printers category id
`static java.lang.String` | `MEMORY_CATEGORY_NAME` The memory, cables, and printers category name
`static java.lang.String` | `MY_AVITEK_PAGE_NAME` The "My Avitek" portal page name
`static java.lang.String` | `ORDER_HISTORY_LIST` Order History portlet: cached order history list
`static java.lang.String` | `ORDER_HISTORY_LIST_VALID` Order History portlet: true if order history list is up-to-date
`static java.lang.String` | `PAYMENT_AUTH_CAPTURE_SETTLE_RESULT`
`static java.lang.String` | `PRO_CATEGORY_DESC` The professional cameras category name
`static java.lang.String` | `PRO_CATEGORY_ID` The professional cameras category id
`static java.lang.String` | `PRO_CATEGORY_NAME` The professional cameras category name
`static java.lang.String` | `PRODUCT_EVAL_ATTRIB` Product Evaluator portlet: holds indication of current catalog processing
`static java.lang.String` | `PRODUCTS_PAGE_NAME` The products portal page name
`static java.lang.String` | `SHOPPING_CART_PAGE_NAME` The shopping cart portal page name
`static java.lang.String` | `VIDEO_CATEGORY_DESC` The digital video cameras category name
`static java.lang.String` | `VIDEO_CATEGORY_ID` The digital video cameras category id
`static java.lang.String` | `VIDEO_CATEGORY_NAME` The digital video cameras category name

Constructor Summary
`B2CPortalConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSUMER_CATEGORY_DESC

    public static final java.lang.String CONSUMER_CATEGORY_DESC

  The consumer cameras category name

### PRO_CATEGORY_DESC

    public static final java.lang.String PRO_CATEGORY_DESC

  The professional cameras category name

### VIDEO_CATEGORY_DESC

    public static final java.lang.String VIDEO_CATEGORY_DESC

  The digital video cameras category name

### FLASH_CATEGORY_DESC

    public static final java.lang.String FLASH_CATEGORY_DESC

  The flashes and lenses category name

### BAGS_CATEGORY_DESC

    public static final java.lang.String BAGS_CATEGORY_DESC

  The bags and cases category name

### MEMORY_CATEGORY_DESC

    public static final java.lang.String MEMORY_CATEGORY_DESC

  The memory, cables, and printers category name

### CONSUMER_CATEGORY_NAME

    public static final java.lang.String CONSUMER_CATEGORY_NAME

  The consumer cameras category name

### PRO_CATEGORY_NAME

    public static final java.lang.String PRO_CATEGORY_NAME

  The professional cameras category name

### VIDEO_CATEGORY_NAME

    public static final java.lang.String VIDEO_CATEGORY_NAME

  The digital video cameras category name

### FLASH_CATEGORY_NAME

    public static final java.lang.String FLASH_CATEGORY_NAME

  The flashes and lenses category name

### BAGS_CATEGORY_NAME

    public static final java.lang.String BAGS_CATEGORY_NAME

  The bags and cases category name

### MEMORY_CATEGORY_NAME

    public static final java.lang.String MEMORY_CATEGORY_NAME

  The memory, cables, and printers category name

### CONSUMER_CATEGORY_ID

    public static final java.lang.String CONSUMER_CATEGORY_ID

  The consumer cameras category id

### PRO_CATEGORY_ID

    public static final java.lang.String PRO_CATEGORY_ID

  The professional cameras category id

### VIDEO_CATEGORY_ID

    public static final java.lang.String VIDEO_CATEGORY_ID

  The digital video cameras category id

### FLASH_CATEGORY_ID

    public static final java.lang.String FLASH_CATEGORY_ID

  The flashes and lenses category id

### BAGS_CATEGORY_ID

    public static final java.lang.String BAGS_CATEGORY_ID

  The bags and cases category id

### MEMORY_CATEGORY_ID

    public static final java.lang.String MEMORY_CATEGORY_ID

  The memory, cables, and printers category id

### MY_AVITEK_PAGE_NAME

    public static final java.lang.String MY_AVITEK_PAGE_NAME

  The "My Avitek" portal page name

### PRODUCTS_PAGE_NAME

    public static final java.lang.String PRODUCTS_PAGE_NAME

  The products portal page name

### SHOPPING_CART_PAGE_NAME

    public static final java.lang.String SHOPPING_CART_PAGE_NAME

  The shopping cart portal page name

### LAST_CATALOG_EVENT_ATTRIB

    public static final java.lang.String LAST_CATALOG_EVENT_ATTRIB

  The last catalog webflow event the client generated

### ORDER_HISTORY_LIST_VALID

    public static final java.lang.String ORDER_HISTORY_LIST_VALID

  Order History portlet: true if order history list is up-to-date

### ORDER_HISTORY_LIST

    public static final java.lang.String ORDER_HISTORY_LIST

  Order History portlet: cached order history list

### DOC_PORTLET_LOCATION

    public static final java.lang.String DOC_PORTLET_LOCATION

  The attribute used to store checkout events for the Doc Portlet

### DOC_PORTLET_MAX_LOCATION

    public static final java.lang.String DOC_PORTLET_MAX_LOCATION

  Copy of DOC_PORTLET_LOCATION for maximized view

### INVENTORY_CHECK

    public static final java.lang.String INVENTORY_CHECK

  Inventory check used by the checkout portlet, step1

### PAYMENT_AUTH_CAPTURE_SETTLE_RESULT

    public static final java.lang.String PAYMENT_AUTH_CAPTURE_SETTLE_RESULT

### PRODUCT_EVAL_ATTRIB

    public static final java.lang.String PRODUCT_EVAL_ATTRIB

  Product Evaluator portlet: holds indication of current catalog processing

Constructor Detail

### B2CPortalConstants

    public B2CPortalConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved